com.genesyslab.wfm8.API.service.performance810

## Class SPerformanceItemData

- java.lang.Object
- - com.genesyslab.wfm8.API.service.performance810.SPerformanceItemData

- All Implemented Interfaces:
    java.io.Serializable

      public class SPerformanceItemData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SItemData>` | `data`
    `protected int` | `dataArraySize`
    `protected int` | `granularity`
    `protected int` | `item`
    `private static long` | `serialVersionUID`
    `protected int` | `target`
    `protected int` | `targetID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPerformanceItemData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SItemData>` | `getData()` Gets the data value for this SPerformanceItemData.
    `int` | `getDataArraySize()` Gets the dataArraySize value for this SPerformanceItemData.
    `int` | `getGranularity()` Gets the granularity value for this SPerformanceItemData.
    `int` | `getItem()` Gets the item value for this SPerformanceItemData.
    `int` | `getTarget()` Gets the target value for this SPerformanceItemData.
    `int` | `getTargetID()` Gets the targetID value for this SPerformanceItemData.
    `int` | `hashCode()`
    `void` | `setData(java.util.List<SItemData> data)` Sets the data value for this SPerformanceItemData.
    `void` | `setDataArraySize(int dataArraySize)` Sets the dataArraySize value for this SPerformanceItemData.
    `void` | `setGranularity(int granularity)` Sets the granularity value for this SPerformanceItemData.
    `void` | `setItem(int item)` Sets the item value for this SPerformanceItemData.
    `void` | `setTarget(int target)` Sets the target value for this SPerformanceItemData.
    `void` | `setTargetID(int targetID)` Sets the targetID value for this SPerformanceItemData.
    `java.lang.String` | `toString()`
    `SPerformanceItemData` | `withData(java.util.Collection<SItemData> values)`
    `SPerformanceItemData` | `withData(SItemData... values)`
    `SPerformanceItemData` | `withDataArraySize(int value)`
    `SPerformanceItemData` | `withGranularity(int value)`
    `SPerformanceItemData` | `withItem(int value)`
    `SPerformanceItemData` | `withTarget(int value)`
    `SPerformanceItemData` | `withTargetID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### target

          protected int target

    - #### targetID

          protected int targetID

    - #### item

          protected int item

    - #### granularity

          protected int granularity

    - #### dataArraySize

          protected int dataArraySize

    - #### data

          protected java.util.List<SItemData> data

  - ### Constructor Detail

    - #### SPerformanceItemData

          public SPerformanceItemData()

  - ### Method Detail

    - #### getTarget

          public int getTarget()

      Gets the target value for this SPerformanceItemData.
      Returns:
        target Activity or Multi-site Activity
      See Also:
        `EPerfTargets`

    - #### setTarget

          public void setTarget(int target)

      Sets the target value for this SPerformanceItemData.
      Parameters:
        `target` - Activity or Multi-site Activity
      See Also:
        `EPerfTargets`

    - #### getTargetID

          public int getTargetID()

      Gets the targetID value for this SPerformanceItemData.
      Returns:
        targetID Activity ID

    - #### setTargetID

          public void setTargetID(int targetID)

      Sets the targetID value for this SPerformanceItemData.
      Parameters:
        `targetID` - Activity ID

    - #### getItem

          public int getItem()

      Gets the item value for this SPerformanceItemData.
      Returns:
        item Performance information item (Actual Interaction Volume or Actual Average Handle Time)
      See Also:
        `EPerfInfoItems`

    - #### setItem

          public void setItem(int item)

      Sets the item value for this SPerformanceItemData.
      Parameters:
        `item` - Performance information item (Actual Interaction Volume or Actual Average Handle Time)
      See Also:
        `EPerfInfoItems`

    - #### getGranularity

          public int getGranularity()

      Gets the granularity value for this SPerformanceItemData.
      Returns:
        granularity Data granularity (15 minutes or 30 minutes)

    - #### setGranularity

          public void setGranularity(int granularity)

      Sets the granularity value for this SPerformanceItemData.
      Parameters:
        `granularity` - Data granularity (15 minutes or 30 minutes)

    - #### getDataArraySize

          public int getDataArraySize()

      Gets the dataArraySize value for this SPerformanceItemData.
      Returns:
        dataArraySize Data array size

    - #### setDataArraySize

          public void setDataArraySize(int dataArraySize)

      Sets the dataArraySize value for this SPerformanceItemData.
      Parameters:
        `dataArraySize` - Data array size

    - #### getData

          public java.util.List<SItemData> getData()

      Gets the data value for this SPerformanceItemData.
      Returns:
        data Data array size

    - #### setData

          public void setData(java.util.List<SItemData> data)

      Sets the data value for this SPerformanceItemData.
      Parameters:
        `data` - Data array size

    - #### withTarget

          public SPerformanceItemData withTarget(int value)

    - #### withTargetID

          public SPerformanceItemData withTargetID(int value)

    - #### withItem

          public SPerformanceItemData withItem(int value)

    - #### withGranularity

          public SPerformanceItemData withGranularity(int value)

    - #### withDataArraySize

          public SPerformanceItemData withDataArraySize(int value)

    - #### withData

          public SPerformanceItemData withData(java.util.Collection<SItemData> values)

    - #### withData

          public SPerformanceItemData withData(SItemData... values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.